## ncl 6.4.0

=== ncarg2d/src/debugging/VisAreaMapTool/Makefile ===
VisAreaMap.jar:  
	javac edu/ucar/vets/VisualAreaMapTool.java
	jar cvfe VisAreaMap.jar edu.ucar.vets.VisualAreaMapTool edu

clean:
	rm -f edu/ucar/vets/*.class
	rm VisAreaMap.jar
