## ncl 6.1.2

=== debian/changelog ===
ncl (6.1.2-7) unstable; urgency=medium

  * Add support for kFreeBSD, Hurd to support-archs.patch 
  * Add support for aarch64 to support-archs.patch. Closes: #742467.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Mar 2014 11:02:41 +0000

ncl (6.1.2-6) unstable; urgency=medium

  * proj library not needed. Drop references in config/Project.
  * Fix library references and refactor patches to fix FTBFS.
    Closes: #733003.
  * Fix bash_completion.d ; wrong file installed. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Feb 2014 15:56:27 +0000

ncl (6.1.2-5) unstable; urgency=medium

  * Don't redirect output to tty in ymake; breaks on FreeBSD, not 
    guaranteed anywhere.
  * Build executables with shared libraries, fPIC as otherwise fPIE doesn't
    work on amd64.
  * Add flex, bison build-dependencies to generate wrapit.  
  * Build by setting RootPath rather than $(DESTDIR)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Jan 2014 10:22:17 +0000

ncl (6.1.2-4) unstable; urgency=medium

   * Enforce building libraries first, as build-order via makefile
     not reliable.
  * Add -I/usr/include/mpi when building when libhdf-mpi-dev rather than
    serial. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 03 Jan 2014 11:40:02 +0000

ncl (6.1.2-3) unstable; urgency=medium

  * Depend on gfortran, libxt-dev
  * Add dependency on fonts-lyx for cms*ttf fonts, rather than shipping them. 
  * tty_patch: don't use /dev/tty directly in ymake as it breaks on kFreeBSD.
  * manpages_patch: Fix (some) lintian warnings on whatis entries, hyphens
    More to do next year.
  * link_pie_prog.patch: Link Programs with -fPIE, immediate binding, 
    for hardening.
  * Add sonames, hardening to shared libraries.
  * Now needs security.patch to fix false alarms after hardening enabled.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Dec 2013 19:41:22 +0000

ncl (6.1.2-2) unstable; urgency=medium

  * Add tcsh | csh | c-shell as Build-Dependency. Closes: #733033.
    Also as dep for binary packages.
  * Label libncarg-data as Multi-Arch: foreign. 
  * Move to Standards-Version: 3.9.5. No changes required. 
  * libncarg-bin is now Multi-Arch: foreign

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Dec 2013 16:29:09 +0000

ncl (6.1.2-1) unstable; urgency=low

  * Initial release. (Closes: #531982)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Oct 2013 01:31:40 +0000
