## ncl 6.2.0

=== debian/changelog ===
ncl (6.2.0-3) unstable; urgency=medium

  * Change libjpeg8 -> libjpeg in debian/control. Closes: #763485.
  * Now at Standards-Version: 3.9.6

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Oct 2014 07:46:56 +0100

ncl (6.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Support hdf5 1.8.13 new packaging layout (closes: #756686).

 -- Gilles Filippini <pini@debian.org>  Tue, 05 Aug 2014 19:56:38 +0200

ncl (6.2.0-2) unstable; urgency=medium

  * libproj-dev now needed explicitly. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Jul 2014 21:07:13 +0100

ncl (6.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Build sphere3.1_dp first to ensure its always present when needed.
    Closes: #753231.
  * Build with atlas rather than base lapack, blas.
  * Use xz compression.
  * Add symlink $NCARG_ROOT/lib/ncarg -> /usr/share/ncarg fix references
    in scripts to non-FHS directory locations.  LP: #1329691.
  * Patch needed for compiler issue under examination in _NGResolvePath()
    compiler_fix.patch.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Jul 2014 13:05:44 +0100
