=== debian/control ===
--- 
+++ 
@@ -2,8 +2,17 @@
 Section: science
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: flex, bison, gfortran, zlib1g-dev, libbz2-dev, libxt-dev, libxaw7-dev, libxmu-headers, libcairo2-dev, libjpeg8-dev, libpng12-dev, pkg-config, fontconfig, libfontconfig1-dev, libfreetype6-dev, libexpat1-dev, libpixman-1-dev,  libcurl4-gnutls-dev | libcurl-dev,  libgdal1-dev, libnetcdf-dev, libudunits2-dev, liblapack-dev, libblas-dev, libgrib2c-dev, libsphere-dev, libhdf4-alt-dev, libhdfeos-dev, libgctp-dev, libhe5-hdfeos-dev, tcsh | csh | c-shell, debhelper (>= 9), libhdf5-serial-dev | libhdf5-dev
-Standards-Version: 3.9.5
+Build-Depends: flex, bison, gfortran, zlib1g-dev, libbz2-dev, libxt-dev,
+ libxaw7-dev, libxmu-headers, libcairo2-dev, libjpeg-dev, libpng12-dev,
+ pkg-config, fontconfig, libfontconfig1-dev, libfreetype6-dev, libexpat1-dev,
+ libpixman-1-dev,  libcurl4-gnutls-dev | libcurl-dev,  libgdal1-dev,
+ libnetcdf-dev, libudunits2-dev,
+ libatlas-dev, liblapack-dev, libblas-dev, libatlas3-base,
+ libgrib2c-dev, libsphere-dev, libhdf4-alt-dev, libhdfeos-dev,
+ libgctp-dev, libhe5-hdfeos-dev, tcsh | csh | c-shell,
+ debhelper (>= 9), libhdf5-serial-dev | libhdf5-dev,
+ libproj-dev
+Standards-Version: 3.9.6
 Homepage: http://www.ncl.ucar.edu/
 
 Package: ncl-ncarg
