=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,11 @@
 CC ?= cc
 FC := gfortran
 VERSION := 6.1.2
+
+ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
+  CFLAGS += -I/usr/include/hdf5/serial
+  export HDF5_LDFLAGS := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
+endif
 
 export LD_LIBRARY_PATH=$(TOPDIR)/shared:$(LIBDIR)/libfakeroot
 
@@ -46,7 +51,7 @@
 	sed -e 's/@CC@/${CC}/' \
 	    -e 's/@FC@/${FC}/' \
 	    -e 's/@LD@/${CC}/' \
-	    -e 's/@CFLAGS@/${CFLAGS}/' \
+	    -e 's:@CFLAGS@:${CFLAGS}:' \
 	    -e 's/@FFLAGS@/${FFLAGS}/' \
 	    -e 's/@CPPFLAGS@/${CPPFLAGS}/' \
 	    -e 's/@LDFLAGS@/${LDFLAGS}/' \
@@ -55,7 +60,7 @@
 	sed -e 's/@CC@/${CC}/' \
 	    -e 's/@FC@/${FC}/' \
 	    -e 's/@LD@/${CC}/' \
-	    -e 's/@CFLAGS@/${CFLAGS}/' \
+	    -e 's:@CFLAGS@:${CFLAGS}:' \
 	    -e 's/@FFLAGS@/${FFLAGS}/' \
 	    -e 's/@CPPFLAGS@/${CPPFLAGS}/' \
 	    -e 's/@LDFLAGS@/${LDFLAGS}/' \
@@ -63,6 +68,11 @@
 	< debian/Site.local.static.in > config/Site.local.static
 
 override_dh_auto_build:
+	# First do spherepack. (Later replace this with external spherepack)
+	cp config/Site.local.shared config/Site.local
+	echo 'n' | ./Configure -v
+	$(MAKE) Makefiles includes depend
+	$(MAKE) -C external/sphere3.1_dp install INCSEARCH=${INCS} INC_SEARCH=${INCS}
 	# Static libraries need to be built first
 	cp debian/LINUX.DEBIAN config/LINUX
 	cp config/Site.local.static config/Site.local
