## ncl 6.3.0

=== debian/changelog ===
ncl (6.3.0-8b2) staging; urgency=medium

  * No-change rebuild against libpng16-16.

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Sun, 15 May 2016 18:50:50 +0200

ncl (6.3.0-8b1) staging; urgency=medium

  * No-change rebuild against libpng16-16.

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Sat, 14 May 2016 19:26:48 +0200

ncl (6.3.0-8) unstable; urgency=medium

  * Rebuild against libgdal-dev for gdal2.0 transition

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Mar 2016 07:50:52 +0000

ncl (6.3.0-7) unstable; urgency=medium

  * Add -lsz to the static libraries needed in ncarg.pc
  * Move libncl.a to $LIBDIR/ncarg/libncl.a. Closes: #813972.
  * Change ncargpath lib to $LIBDIR/ncarg and add .so
  * Change $lib to /usr/lib/$arch/ncarg in config/Project
  * Add B-D on libmotif-dev for Motif support.
  * Standards-Version: 3.9.7. No changes required
  * Drop linking against jasper as it is being removed from Debian.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Feb 2016 21:01:26 +0000

ncl (6.3.0-6) unstable; urgency=medium

  * Typo in depends: ncl-narg -> ncl-ncarg. Closes: #810682.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Jan 2016 15:40:31 +0000

ncl (6.3.0-5) unstable; urgency=medium

  * Build with libpng-dev. Closes: #810193.
  * B-D on libaec-dev, link against libsz for szip compression
  * libncarg-dev should depend on ncl-ncarg for ncargpath.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jan 2016 06:53:52 +0000

ncl (6.3.0-4) unstable; urgency=medium

  * reproducible.patch: remove timestamps to make build reproducible

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Nov 2015 11:57:25 +0000

ncl (6.3.0-4~exp2) experimental; urgency=medium

  * Move /etc/bash_completions.d/* to new /usr/share/bash_completions 
  * Install DEBIAN link earlier before configuration.
  * Remove '-ansi' to fix FTBFS on mips*.
 
 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Aug 2015 16:25:19 +0100

ncl (6.3.0-4~exp1) experimental; urgency=medium

   * Install DEBIAN config file correctly for building on non-Linux systems.
   * Build against hdf-eos4 what uses libhdf4-alt-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Aug 2015 04:18:15 +0100

ncl (6.3.0-3) experimental; urgency=medium

  * Enable libnetcdff-dev for transition

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Jul 2015 17:22:17 +0100

ncl (6.3.0-3~exp1) unstable; urgency=medium

  * Use canonical anonscm.debian.org URL scheme. 
  * Update VERSION to 6.3.0 in debian/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Jul 2015 10:05:22 +0100

ncl (6.3.0-2) unstable; urgency=medium

  * Build-Depend on libgdal-dev not libgdal1-dev, for gdal-2.0.0 transition.
    Closes: #789489
  * Add Vcs-Git: to debian/control; debian-science repo. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jun 2015 15:33:45 +0100

ncl (6.3.0-1) unstable; urgency=medium

  * New upstream release
  * security.patch: removed, changes now upstream
  * deblibs patch from  Tyson Whitehead for Missing text on plots.
    Closes: #787652
  * Include PlotcharData in libncarg-data package. Closes: #785547

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 20 Jun 2015 20:50:24 +0100
