=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: flex, bison, gfortran, zlib1g-dev, libbz2-dev, libxt-dev,
- libxaw7-dev, libxmu-headers, libcairo2-dev, libjpeg-dev, libpng12-dev,
+ libxaw7-dev, libxmu-headers, libcairo2-dev, libjpeg-dev, libpng-dev,
  pkg-config, fontconfig, libfontconfig1-dev, libfreetype6-dev, libexpat1-dev,
- libpixman-1-dev,  libcurl4-gnutls-dev | libcurl-dev,  libgdal1-dev,
- libnetcdf-dev, libudunits2-dev,
+ libpixman-1-dev,  libcurl4-gnutls-dev | libcurl-dev,  libgdal-dev,
+ libnetcdf-dev, libnetcdff-dev, libudunits2-dev, libmotif-dev,
  libatlas-dev, liblapack-dev, libblas-dev, libatlas3-base,
  libgrib2c-dev, libsphere-dev, libhdf4-alt-dev, libhdfeos-dev,
  libgctp-dev, libhe5-hdfeos-dev, tcsh | csh | c-shell,
  debhelper (>= 9), libhdf5-serial-dev | libhdf5-dev,
- libproj-dev
-Standards-Version: 3.9.6
+ libproj-dev, libaec-dev
+Standards-Version: 3.9.7
 Homepage: http://www.ncl.ucar.edu/
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/ncl.git
 
 Package: ncl-ncarg
 Architecture: any
@@ -44,7 +45,7 @@
 Package: libncarg-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libncarg0 (= ${binary:Version} ), libxgks-dev, libudunits2-dev
+Depends: ${misc:Depends}, libncarg0 (= ${binary:Version} ), libxgks-dev, libudunits2-dev, ncl-ncarg
 Multi-Arch: same
 Description: Development files for the NCAR command language library
  ncarg is the NCAR command-language.
