=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 FFLAGS:=$(shell dpkg-buildflags --get FFLAGS)
 CC ?= cc
 FC := gfortran
-VERSION := 6.1.2
+VERSION := 6.3.0
 
 ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
   CFLAGS += -I/usr/include/hdf5/serial
@@ -66,15 +66,20 @@
 	    -e 's/@LDFLAGS@/${LDFLAGS}/' \
 	    -e 's%@DESTDIR@%${DESTDIR}%' \
 	< debian/Site.local.static.in > config/Site.local.static
+	sed -e 's%@ARCH@%${DEB_HOST_MULTIARCH}%' \
+	< config/Project > config/Project.post
+	mv config/Project.post config/Project 
 
 override_dh_auto_build:
 	# First do spherepack. (Later replace this with external spherepack)
 	cp config/Site.local.shared config/Site.local
 	echo 'n' | ./Configure -v
+	cp debian/LINUX.DEBIAN config/LINUX
+	ln -sf LINUX config/DEBIAN
 	$(MAKE) Makefiles includes depend
 	$(MAKE) -C external/sphere3.1_dp install INCSEARCH=${INCS} INC_SEARCH=${INCS}
 	# Static libraries need to be built first
-	cp debian/LINUX.DEBIAN config/LINUX
+	# Add symlink for non-Linux archs
 	cp config/Site.local.static config/Site.local
 	echo 'n' | ./Configure -v
 	$(MAKE) Makefiles includes depend
@@ -100,8 +105,9 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	mkdir -p debian/libncarg-dev/$(LIBDIR)
-	cp debian/tmp/lib/*.a debian/libncarg-dev/$(LIBDIR)
+	mkdir -p debian/libncarg-dev/$(LIBDIR)/ncarg
+	rm debian/tmp/lib/libblas_ncl.a debian/tmp/lib/liblapack_ncl.a
+	cp debian/tmp/lib/*.a debian/libncarg-dev/$(LIBDIR)/ncarg
 	mkdir -p debian/libncarg0/$(LIBDIR)
 	cp shared/*.so.1 debian/libncarg0/$(LIBDIR)
 	mkdir -p  debian/libncarg-dev/$(LIBDIR)/pkgconfig
@@ -119,7 +125,7 @@
 	find . -name '*.so.1' -delete
 	find . -type l -delete
 	find . -name '*.o' -delete
-	rm -f ncarg.pc config/Site.local.*
+	rm -f ncarg.pc config/Site.local.* config/DEBIAN
 ifneq ($(wildcard config/LINUX.ORIG),)
 	mv config/LINUX.ORIG config/LINUX
 endif
