## ncl 6.4.0

=== debian/changelog ===
ncl (6.4.0-9) unstable; urgency=medium

  * Fix FTBFBS ;  condition giving error exit. Closes: #892311

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Mar 2018 08:22:47 +0000

ncl (6.4.0-8) unstable; urgency=medium

  * Temporarily conditionally install some optional files that may not be
    built on mips64el. Closes: #892154

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Mar 2018 06:50:07 +0000

ncl (6.4.0-7) unstable; urgency=medium

  * Fix regression on supported-archs.patch for mips, s390

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Mar 2018 18:09:17 +0000

ncl (6.4.0-6) unstable; urgency=medium

  * Default to libblas-dev, not libopenblas-dev, as it makes many archs
    unnstallable.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Mar 2018 09:02:58 +0000

ncl (6.4.0-5) unstable; urgency=medium

  * Use libhdf5-dev instead of transitional libhdf5-serial-dev
  * Standards-Version: 4.1.3; no changes required
  * Use libopenblas on more archs as available
  * Fix needed for hppa, kfreebsd (+hppa?) support. Closes: #850104
  * Move VCS to salsa.debian.org
  * Remove obsolete compiler-fix.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Mar 2018 17:09:59 +0000

ncl (6.4.0-4) unstable; urgency=medium

  * Drop libatlas-dev build-depend. Closes: #871715
  * Standards-Version: 4.0.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Aug 2017 11:44:18 +0100

ncl (6.4.0-3) unstable; urgency=medium

  * Set ncl-ncarg as Multi-Arch: foreign
  * Fix manpage errors (thanks Lint.)  
  * Set ksh paths to /bin/ksh in scripts. (ksh.patch)
  * Ensure all ksh scripts are executable
  * Move all ksh scripts to libncarg-dev examples (not -data package)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Jul 2017 16:26:39 +0100

ncl (6.4.0-2) experimental; urgency=medium

  * Fix version number in pc file
  * Standards-Version: 4.0.0; no changes required
  * Add gbp.conf file
  * Debhelper compat=10
  * Patch: ensure triple2grid.f compiled -fPIC

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Jul 2017 12:22:31 +0100

ncl (6.4.0-1) experimental; urgency=medium

  * New upstream release
     - Patch needed to not link explicitly to libiconv
  * Add libgdl-dev build-dependency

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Apr 2017 16:11:56 +0100

ncl (6.3.0-13) unstable; urgency=medium

  * Add ncl Desktop, icon files

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Dec 2016 15:09:13 +0000

ncl (6.3.0-12) unstable; urgency=medium

  * Add libfl-dev as B-D as flex no longer depends on it. Closes: #846444

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Dec 2016 09:22:12 +0000

ncl (6.3.0-11) unstable; urgency=medium

  * Conditionally depend on openblas. Closes: #86191

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Aug 2016 12:03:52 +0100

ncl (6.3.0-10) unstable; urgency=medium

  * Preferentially use openblas not blas
  * Allow -fdebug-prefix-map in CFLAGS (change sed in rules). Closes: #832011

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Aug 2016 10:33:28 +0100

ncl (6.3.0-9) unstable; urgency=medium

  * Fix udunits path. Closes: #829702
  * Standards-Version: 3.9.8. No changes required.
  * Ack. previously fixed bug. Closes: #809716.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Jul 2016 14:33:25 +0100
