=== debian/control ===
--- 
+++ 
@@ -2,22 +2,48 @@
 Section: science
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: flex, bison, gfortran, zlib1g-dev, libbz2-dev, libxt-dev,
+Build-Depends: debhelper (>= 10), 
+ flex, 
+ bison, 
+ gfortran, 
+ zlib1g-dev, 
+ libbz2-dev, 
+ libxt-dev,
  libxaw7-dev, libxmu-headers, libcairo2-dev, libjpeg-dev, libpng-dev,
- pkg-config, fontconfig, libfontconfig1-dev, libfreetype6-dev, libexpat1-dev,
- libpixman-1-dev,  libcurl4-gnutls-dev | libcurl-dev,  libgdal-dev,
- libnetcdf-dev, libnetcdff-dev, libudunits2-dev, libmotif-dev,
- libatlas-dev, liblapack-dev, libblas-dev, libatlas3-base,
- libgrib2c-dev, libsphere-dev, libhdf4-alt-dev, libhdfeos-dev,
- libgctp-dev, libhe5-hdfeos-dev, tcsh | csh | c-shell,
- debhelper (>= 9), libhdf5-serial-dev | libhdf5-dev,
- libproj-dev, libaec-dev
-Standards-Version: 3.9.7
-Homepage: http://www.ncl.ucar.edu/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ncl.git
+ pkg-config, 
+ fontconfig, 
+ libfontconfig1-dev, 
+ libfreetype6-dev, 
+ libexpat1-dev,
+ libpixman-1-dev,  
+ libcurl4-gnutls-dev | libcurl-dev,  
+ libgdal-dev,
+ libnetcdf-dev, 
+ libnetcdff-dev, 
+ libudunits2-dev, 
+ libmotif-dev,
+ libatlas3-base,
+ liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
+ libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
+ libgrib2c-dev, 
+ libsphere-dev, 
+ libhdf4-alt-dev, 
+ libhdfeos-dev,
+ libgctp-dev, 
+ libhe5-hdfeos-dev, tcsh | csh | c-shell,
+ libhdf5-dev | libhdf5-mpi-dev,
+ libproj-dev, 
+ libaec-dev,
+ libfl-dev, 
+ libgsl-dev
+Standards-Version: 4.1.3
+Homepage: https://www.ncl.ucar.edu/
+Vcs-Browser: https://salsa.debian.org:/science-team/ncl.git
+Vcs-Git: https://salsa.debian.org:/science-team/ncl.git
 
 Package: ncl-ncarg
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, tcsh | csh | c-shell
 Description: NCAR Command Language and NCAR graphics
  The NCAR Command Language (NCL) is a free interpreted language designed
@@ -45,7 +71,8 @@
 Package: libncarg-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libncarg0 (= ${binary:Version} ), libxgks-dev, libudunits2-dev, ncl-ncarg
+Depends: ${misc:Depends}, libncarg0 (= ${binary:Version} ), libxgks-dev, libudunits2-dev,
+ ncl-ncarg, ksh | mksh | pdksh | zsh
 Multi-Arch: same
 Description: Development files for the NCAR command language library
  ncarg is the NCAR command-language.
