=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 FFLAGS:=$(shell dpkg-buildflags --get FFLAGS)
 CC ?= cc
 FC := gfortran
-VERSION := 6.3.0
+VERSION := 6.4.0
 
 ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
   CFLAGS += -I/usr/include/hdf5/serial
@@ -48,22 +48,22 @@
 	    -e 's/@PREFIX@/\/usr/' \
 	    -e 's/@VERSION@/$(VERSION)/' \
 	< debian/ncarg.pc.in > ncarg.pc
-	sed -e 's/@CC@/${CC}/' \
-	    -e 's/@FC@/${FC}/' \
-	    -e 's/@LD@/${CC}/' \
-	    -e 's:@CFLAGS@:${CFLAGS}:' \
-	    -e 's/@FFLAGS@/${FFLAGS}/' \
-	    -e 's/@CPPFLAGS@/${CPPFLAGS}/' \
-	    -e 's/@LDFLAGS@/${LDFLAGS}/' \
+	sed -e 's%@CC@%${CC}%' \
+	    -e 's%@FC@%${FC}%' \
+	    -e 's%@LD@%${CC}%' \
+	    -e 's%@CFLAGS@%${CFLAGS}%' \
+	    -e 's%@FFLAGS@%${FFLAGS}%' \
+	    -e 's%@CPPFLAGS@%${CPPFLAGS}%' \
+	    -e 's%@LDFLAGS@%${LDFLAGS}%' \
 	    -e 's%@DESTDIR@%${DESTDIR}%' \
 	< debian/Site.local.shared.in > config/Site.local.shared
-	sed -e 's/@CC@/${CC}/' \
-	    -e 's/@FC@/${FC}/' \
-	    -e 's/@LD@/${CC}/' \
-	    -e 's:@CFLAGS@:${CFLAGS}:' \
-	    -e 's/@FFLAGS@/${FFLAGS}/' \
-	    -e 's/@CPPFLAGS@/${CPPFLAGS}/' \
-	    -e 's/@LDFLAGS@/${LDFLAGS}/' \
+	sed -e 's%@CC@%${CC}%' \
+	    -e 's%@FC@%${FC}%' \
+	    -e 's%@LD@%${CC}%' \
+	    -e 's%@CFLAGS@%${CFLAGS}%' \
+	    -e 's%@FFLAGS@%${FFLAGS}%' \
+	    -e 's%@CPPFLAGS@%${CPPFLAGS}%' \
+	    -e 's%@LDFLAGS@%${LDFLAGS}%' \
 	    -e 's%@DESTDIR@%${DESTDIR}%' \
 	< debian/Site.local.static.in > config/Site.local.static
 	sed -e 's%@ARCH@%${DEB_HOST_MULTIARCH}%' \
@@ -73,9 +73,9 @@
 override_dh_auto_build:
 	# First do spherepack. (Later replace this with external spherepack)
 	cp config/Site.local.shared config/Site.local
-	echo 'n' | ./Configure -v
 	cp debian/LINUX.DEBIAN config/LINUX
 	ln -sf LINUX config/DEBIAN
+	echo 'n' | ./Configure -v
 	$(MAKE) Makefiles includes depend
 	$(MAKE) -C external/sphere3.1_dp install INCSEARCH=${INCS} INC_SEARCH=${INCS}
 	# Static libraries need to be built first
@@ -106,7 +106,11 @@
 override_dh_auto_install:
 	dh_auto_install
 	mkdir -p debian/libncarg-dev/$(LIBDIR)/ncarg
-	rm debian/tmp/lib/libblas_ncl.a debian/tmp/lib/liblapack_ncl.a
+	# rm debian/tmp/lib/libblas_ncl.a debian/tmp/lib/liblapack_ncl.a
+	# TODO: These may not be present on mips64el. 
+	mkdir -p debian/libncarg-data/usr/share/ncarg/nug
+	[ -d debian/tmp/lib/ncarg/fontcaps ] && cp -a debian/tmp/lib/ncarg/fontcaps debian/libncarg-data/usr/share/ncarg || true
+	[ -d debian/tmp/lib/ncarg/nclex/nug  ] && cp -a debian/tmp/lib/ncarg/nclex/nug debian/libncarg-data/usr/share/ncarg/nug || true
 	cp debian/tmp/lib/*.a debian/libncarg-dev/$(LIBDIR)/ncarg
 	mkdir -p debian/libncarg0/$(LIBDIR)
 	cp shared/*.so.1 debian/libncarg0/$(LIBDIR)
@@ -120,6 +124,7 @@
 		cp shared/$$d debian/libncarg0/$(LIBDIR)/$$d.1 ; \
 		dh_link -p libncarg-dev $(LIBDIR)/$$d.1 $(LIBDIR)/$$d ;  done
 	cp -a debian/tmp/lib/ncarg/robj debian/libncarg-dev/$(LIBDIR)/ncarg
+	find debian -name '*.ksh' -exec chmod +x {} \;
 
 override_dh_auto_clean:
 	find . -name '*.so.1' -delete
