## ncl 6.5.0

=== debian/changelog ===
ncl (6.5.0-2) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * Ship *.names files in libncarg-data. LP: #1808217
  * Sanitise build paths in scripts for bit-reprodubcibility

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Jan 2019 09:46:03 +0000

ncl (6.5.0-1) unstable; urgency=medium

  * New upstream release
  * Add watch file.
  * Standards-Version: 4.2.1
  * Add ksh dependenccy to libncarg-data
  * Remove obsolete Pre-Depends on lib package

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Nov 2018 13:58:35 +0000

ncl (6.4.0-10) unstable; urgency=medium

  * Standards-Version: 4.1.4
  * Build against libgctp-2.0.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Jun 2018 10:42:20 +0100
