=== debian/control ===
--- 
+++ 
@@ -30,13 +30,14 @@
  libhdf4-alt-dev, 
  libhdfeos-dev,
  libgctp-dev, 
- libhe5-hdfeos-dev, tcsh | csh | c-shell,
+ libhe5-hdfeos-dev,
+ tcsh | csh | c-shell,
  libhdf5-dev | libhdf5-mpi-dev,
  libproj-dev, 
  libaec-dev,
  libfl-dev, 
  libgsl-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://www.ncl.ucar.edu/
 Vcs-Browser: https://salsa.debian.org:/science-team/ncl.git
 Vcs-Git: https://salsa.debian.org:/science-team/ncl.git
@@ -63,7 +64,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libudunits2-0, ttf-bitstream-vera, fonts-lyx, libncarg-data, tcsh | csh | c-shell
 Recommends: libncarg-bin, pkg-config
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: NCAR command-language library
  NCAR Command Language library used by NCAR binaries and tools.
@@ -88,7 +88,7 @@
 Package: libncarg-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ksh | mksh | pdksh | zsh
 Description: NCAR command-language library - Data
  NCAR Command Language library used by NCAR. This package contains data such
  as colormaps, fonts and map data that is used by the ncarg library.
