=== debian/rules ===
--- 
+++ 
@@ -125,6 +125,19 @@
 		dh_link -p libncarg-dev $(LIBDIR)/$$d.1 $(LIBDIR)/$$d ;  done
 	cp -a debian/tmp/lib/ncarg/robj debian/libncarg-dev/$(LIBDIR)/ncarg
 	find debian -name '*.ksh' -exec chmod +x {} \;
+	# Sanitise paths for bit reproducibility
+	for f in ./debian/tmp/usr/bin/ncargcc \
+		./debian/tmp/usr/bin/ncargf77 \
+		./debian/tmp/usr/bin/ncargf90 \
+		./debian/tmp/usr/bin/nhlcc \
+		./debian/tmp/usr/bin/nhlf77 \
+		./debian/tmp/usr/bin/nhlf90 \
+		./debian/tmp/usr/bin/nclf77 \
+		./debian/tmp/usr/bin/nclf90 ; do cat $$f | \
+		 sed -e 's%${CURDIR}%/build/ncl-ncarg%g'  \
+                        > debian/tmpff ; \
+		mv debian/tmpff $$f ; \
+		done
 
 override_dh_auto_clean:
 	find . -name '*.so.1' -delete
