## ncl 6.6.2

=== debian/changelog ===
ncl (6.6.2-7) unstable; urgency=medium

  * Fix broken symlinks. Closes: #986460

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Apr 2021 14:56:37 +0100

ncl (6.6.2-6) unstable; urgency=medium

  * Typo in d/rules breaks mipsel build
  * Point Vcs-Git in d/control to debian/latest

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Oct 2020 09:31:42 +0100

ncl (6.6.2-5) unstable; urgency=medium

  * Fix regression: *.a included in both -dev pkgs. Closes: #970654

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Sep 2020 14:59:55 +0100

ncl (6.6.2-4) unstable; urgency=medium

  * Don't call dwz on mipsel: causes FTBFS

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Sep 2020 10:10:49 +0100

ncl (6.6.2-3) unstable; urgency=medium

  * Use external spherepack lib now it has double-precision support
  * Set d/gbp.conf to point to the new DEP-14 branch names
  * Ensure fortran/$(FC) page is in libdir path in d/rules
  * Fix bug in gfortran-10 conditional that FTBFS. Closes: #966872
  * patch gcc10.patch for invalid BOZ constants. 
  * Move to debhelper level 13
  * Add -Wl,-z,muldefs , needed for stricter ld linking
  * Add d/not-installed; install extra manpages due to dh_missing audit

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Sep 2020 21:38:22 +0100

ncl (6.6.2-2) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Use debhelper-compat (=12)
  * Use external spherepack lib
  * Drop flang dependency for now 
  * Enable -fallow-invalid-boz,  -fallow-argument-mismatch 
    with gfortran-10. Closes: #957583
  * Drop obsolete libxgks-dev in d/control 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 May 2020 14:49:03 +0100

ncl (6.6.2-1) unstable; urgency=medium

  * New upstream release
  * drop-mod-file.patch to compile
  * format-security.patch to fix format-security errors
  * Build-Depend on gfortran | fortran-compiler
  * Change fortran compiler refs in d/rules to f95
  * Set fortran flags (no-range-check, etc.) for gfortran only in d/rules
  * Remove hard-coded 'xz'compression
  * Set ACCEPT_USE_OF_DEPRECATED_PROJ_API_H=1 in CFLAGS for proj 6.0.0
    transition.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 23 Jun 2019 11:07:04 +0100
