=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: science
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 10), 
+Build-Depends: debhelper-compat (= 13), 
  flex, 
  bison, 
- gfortran, 
+ gfortran | fortran-compiler, 
  zlib1g-dev, 
  libbz2-dev, 
  libxt-dev,
@@ -26,7 +26,7 @@
  liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
  libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
  libgrib2c-dev, 
- libsphere-dev, 
+ libsphere-dev (>= 3.3~a1), 
  libhdf4-alt-dev, 
  libhdfeos-dev,
  libgctp-dev, 
@@ -37,10 +37,10 @@
  libaec-dev,
  libfl-dev, 
  libgsl-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://www.ncl.ucar.edu/
 Vcs-Browser: https://salsa.debian.org:/science-team/ncl.git
-Vcs-Git: https://salsa.debian.org:/science-team/ncl.git
+Vcs-Git: https://salsa.debian.org:/science-team/ncl.git -b debian/latest
 
 Package: ncl-ncarg
 Architecture: any
@@ -71,7 +71,8 @@
 Package: libncarg-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libncarg0 (= ${binary:Version} ), libxgks-dev, libudunits2-dev,
+Depends: ${misc:Depends}, libncarg0 (= ${binary:Version} ), libudunits2-dev,
+ libsphere-dev, libhdf4-alt-dev, 
  ncl-ncarg, ksh | mksh | pdksh | zsh
 Multi-Arch: same
 Description: Development files for the NCAR command language library
